delete-pr(8)

NAME
delete-pr - deletes closed PRs

SYNOPSIS

delete-pr
    [ -V | --version ] | [ -h | --help ] |
    [ -d name | --database=name ] [ -c | --closed | PR ]

DESCRIPTION
Deletes the specified PR, or if the --closed option is given, all of the closed PRs in the database are deleted.

delete-pr must be run by the GNATS user (by default gnats).

Note that deleting PRs is generally a very bad idea. It flies in the face of the very idea of using a Problem Reporting system and should only be considered in special situations. Such a situation might for instance arise if a mail loop causes mass duplicate submissions or if you receive spam to the PR submission e-mail address.

OPTIONS

-V, --version
    Prints the program version to stdout and exits.

-h, --help
    Prints a short help text to stdout and exits.

-d, --database
    Specifies the database from which the PR(s) are to be deleted. If no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

--closed
    Requests that all closed PRs in the database be deleted.

PR  Requests that the specified PR be deleted. The PR must be in a closed state.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access.

For network access via gnatsd, it contains a colon-separated list of strings that describe the remote database, in the form

server:port:databasename:username:password

Any of the fields may be omitted, but at least one colon must appear; otherwise, the value is assumed to be the name of a local database.

If GNATSDB is not set and the --database option is not supplied, it is assumed that the database is local and that its name is default.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info) and Reporting Problems Using send-pr (also installed as the GNU Info file send-pr.info).

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1999, 2003, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.